Draft: Linea, segmento

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Line and the translation is 19% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎
FreeCAD.png
Pagina successiva: Polilinea Draft Wire.svg Arrow-right.svg

Draft Line.svg Linea

Posizione nel menu
Draft → Linea
Ambiente
Draft, Architettura
Avvio veloce
L I
Introdotto nella versione
0.7
Vedere anche
DWire, Punto

Descrizione

Crea un segmento tra due punti nel piano di lavoro corrente. Il segmento assume il tipo di linea e il colore impostati in precedenza nella barra di Draft. Lo strumento Linea si comporta esattamente come lo strumento DWire di Draft, tranne che si disattiva dopo che sono stati definiti due punti.

A Draft Line is in fact a Draft Wire with only two points.

Draft Line example.jpg

Linea creata da due punti

Utilizzo

See also: Draft Tray, Draft Snap and Draft Constrain.

  1. Premere il pulsante Draft Line.svg Linea o premere i tasti L e I
  2. Fare clic su un primo punto nella vista 3D, o digitare le sue coordinate e poi premere il pulsante Draft AddPoint.svg inserisci punto.
  3. Fare clic su un secondo punto nella vista 3D, o digitare le sue coordinate e poi premere il pulsante Draft AddPoint.svg inserisci punto.

Options

The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts.

Opzioni

  • Premere X, o Y, o Z dopo il primo punto per vincolare il secondo punto su un dato asse.
  • Per inserire le coordinate manualmente, è sufficiente inserire i numeri, quindi premere Invio tra ciascun componente X, Y e Z.
    • Si possono anche definire le coordinate polari del punto dando un valore a "Lunghezza" e "Angolo". Fare clic sulla casella accanto a "Angolo" per vincolare il puntatore all'angolo specificato.
    • È possibile premere il pulsante Draft AddPoint.svg inserisci punto quando si hanno i valori desiderati per inserire il punto.
  • Premere il tasto R oppure fare clic sulla casella di controllo per attivare la modalità "relativo". Se la modalità relativo è attiva, le coordinate del punto successivo sono relative all'ultimo; in caso contrario, sono assolute, prese dall'origine (0,0,0).
  • Premere il tasto T oppure fare clic sulla casella di controllo per attivare la modalità "continua". Se la modalità continua è attiva, lo strumento Linea si riavvia dopo aver terminato la linea in costruzione, e consente di disegnarne una nuova linea senza premere nuovamente il pulsante dello strumento
  • Tenere premuto Ctrl mentre si disegna per forzare l'aggancio del proprio punto alla posizione di aggancio più vicina, indipendentemente dalla distanza.
  • Tenere premuto Maiusc mentre si disegna per vincolare il prossimo punto in orizzontale o in verticale rispetto all'ultimo.
  • Premere i tasti Ctrl+Z o premere il pulsante Draft UndoLine.svg Undo per annullare l'ultimo punto.
  • Premere il tasto Esc o il pulsante Chiudi per interrompere il comando corrente.

Notes

La linea può essere modificata facendo doppio clic sull'elemento nella vista ad albero o premendo il pulsante Draft Edit.svg Modifica. Quindi si possono spostare i punti in una nuova posizione.

Preferences

See also: Preferences Editor and Draft Preferences.

  • To change the number of decimals used for the input of coordinates, lengths and angles: Edit → Preferences... → General → Units → Units settings → Number of decimals.
  • To change the initial focus of the task panel to the Length input box: Edit → Preferences... → Draft → General settings → Draft tools options → Set focus on Length instead of X coordinate. Note that you must move the pointer in the 3D view for the change to take effect.
  • If the Edit → Preferences... → Draft → General settings → Draft tools options → Use Part Primitives when available option is checked, the command will create a Part Line instead of a Draft Line.

Properties

Proprietà

Un oggetto Linea condivide tutte le proprietà di una Draft Wire.svg Polilinea, tuttavia solo alcune di queste proprietà sono applicabili alla Linee.

Scripting

Lo strumento Linea può essere utilizzato nelle macro e dalla console Python utilizzando la seguente funzione:

line = make_line(p1, p2)
line = make_line(LineSegment)
line = make_line(Shape)
  • Crea un oggetto Line tra i punti p1 e p2, ciascuno definito dal suo FreeCAD.Vector, con unità in millimetri.
  • Crea un oggetto Line da un Part.LineSegment.
  • Crea un oggetto Line dal primo vertice all'ultimo vertice della data Shape.

Esempio:

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 500, 0)
p3 = App.Vector(-250, -500, 0)
p4 = App.Vector(500, 1000, 0)

line1 = Draft.make_line(p1, p2)
line2 = Draft.make_line(p3, p4)

doc.recompute()


FreeCAD.png
Pagina successiva: Polilinea Draft Wire.svg Arrow-right.svg